<div class="main-container">
  <section class="left-navbar">
    <span class="material-icons admin-logo"> person </span>
    <span class="btn">Home</span>
  </section>
  <section class="table-content">
    <mat-icon class="add-icon" (click)="dialogBox()">person_add</mat-icon>
    <div class="doctor-table mat-elevation-z8">
      <mat-table #table [dataSource]="dataSource" class="table">
        <ng-container matColumnDef="name">
          <mat-header-cell *matHeaderCellDef> Doctor Name </mat-header-cell>
          <mat-cell *matCellDef="let element"> {{nurseDetails.name}} </mat-cell>
        </ng-container>
        <ng-container matColumnDef="change-request">
          <mat-header-cell *matHeaderCellDef>change request</mat-header-cell>
          <mat-cell *matCellDef="let element">
            <button mat-icon-button class="iconbutton">change request</button>
          </mat-cell>
        </ng-container>
        <ng-container matColumnDef="send-msg">
          <mat-header-cell *matHeaderCellDef>send message</mat-header-cell>
          <mat-cell *matCellDef="let element">
            <button
              mat-icon-button
              class="iconbutton"
              (click)="openMessageBox()"
            >
              send message
            </button>
          </mat-cell>
        </ng-container>
        <mat-header-row
          *matHeaderRowDef="columnsToBeDisplayed"
        ></mat-header-row>
        <mat-row *matRowDef="let row; columns: columnsToBeDisplayed"></mat-row>
      </mat-table>
    </div>
    <div *ngIf="showMessageBox" class="message-box">
      <form [formGroup]="form" class="pop-up" (ngSubmit)="sendMessage(form)">
        <textarea          
          id=""
          cols="30"
          rows="10"
          formControlName="text"
          placeholder="enter message..."
        ></textarea>
        <button type="submit">Send Message</button>
      </form>
    </div>
  </section>
</div>
